2011-02-09	Jeremy Huddleston <jeremyhu@freedesktop.org

	#240956
	* configure.ac	add support to enable readonly test segment on x86

--- configure.ac.orig	2008-11-17 23:19:38.000000000 +0100
+++ configure.ac	2008-11-17 23:20:17.000000000 +0100
@@ -499,6 +499,20 @@
     enable_xcb=no
 fi
 
+
+dnl readonly text segment on x86 hardened platforms
+AC_ARG_ENABLE([glx_rts],
+    [AS_HELP_STRING([--enable-glx-rts],
+        [on x86, use a readonly text segment for libGL @<:@default=disabled@:>@])],
+    [enable_glx_rts="$enableval"],
+    [enable_glx_rts=no])
+if test "x$enable_glx_rts" = xyes; then
+    DEFINES="$DEFINES -DGLX_X86_READONLY_TEXT"
+else
+    enable_glx_rts=no
+fi
+
+
 dnl
 dnl libGL configuration per driver
 dnl
